# Verdaccio - Registre NPM local

Maquette de registre NPM privé avec module d'authentification LDAP préconfiguré pour utilisé l'annuaire EOLE (`platon.ac-dijon.fr`).

Voir le fichier [Dockerfile](./Dockerfile) pour plus d'informations sur la procédure d'installation.

## Lancer la maquette avec Docker

```shell
docker build . -t eole-verdaccio:latest
docker run -it --rm -p 8080:8080 eole-verdaccio:latest
```

## Utilisation du registre avec le client `npm`

### Authentifier son client NPM avec le registre

```shell
npm adduser --registry="http://localhost:8080/"
```

### Déclarer l'usage du registre dans un projet

```shell
cd <mon_projet>
cat <<EOF
registry=http://localhost:8080/
EOF > .npmrc
```

### Publier son paquet sur le registre

Dans le répertoire du projet NPM
```
npm publish --registry="http://localhost:8080/"
```

Le registre sera accessible à l'adresse http://localhost:8080/

## Ressources

- [Dépôt du projet](https://github.com/verdaccio/verdaccio)
- [Options de configuration](https://github.com/verdaccio/verdaccio/blob/master/conf/full.yaml)
- [Plugin d'authentification LDAP](https://github.com/Alexandre-io/verdaccio-ldap/)
